"""issues table

Revision ID: 0053e0e1c85f
Revises: 776ef9879815
Create Date: 2018-09-12 12:34:32.901855

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '0053e0e1c85f'
down_revision = '776ef9879815'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('issue',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('category', sa.String(length=140), nullable=True),
    sa.Column('timestamp', sa.DateTime(), nullable=True),
    sa.Column('user_id', sa.Integer(), nullable=True),
    sa.ForeignKeyConstraint(['user_id'], ['user.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_index(op.f('ix_issue_timestamp'), 'issue', ['timestamp'], unique=False)
    op.create_index(op.f('ix_user_emplid'), 'user', ['emplid'], unique=True)
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_index(op.f('ix_user_emplid'), table_name='user')
    op.drop_index(op.f('ix_issue_timestamp'), table_name='issue')
    op.drop_table('issue')
    # ### end Alembic commands ###
